EnKash Developer Portal
Home
Home
Login
  1. Settlement
  • Back to home
  • APIs - Payment Gateway
  • Authorization
    • Generate Authorization Token
    • Payment Modes Details
  • Order
    • UPI Intent Links
    • Get Dynamic UPI QR
    • Create Order
    • Get Order Status
    • Get Order By Merchant Order Id
    • Get BNPL Payment Methods
    • Search Order
  • Payment
    • Get Transaction Status
    • Submit Payment Request
    • Payment Notify Request
    • Verify UPI VPA
    • Validate OTP
    • Get UPI Transaction Status
    • Resend OTP
    • Search Transaction
  • Refund
    • Refund
    • Get Refund Transaction Status
    • Refund Webhook Request
  • Settlement
    • Get Settlement Payout By ID
      GET
    • Search Settlement Payouts
      POST
  • Split Settlement
    • Get All Split Settlement Account
    • Deactivate Split Settlement Account
    • Submit Payment with Split Details
    • Activate Split Settlement Account
    • Edit Or Deferred Split Settlement
    • Create Split Settlement Account
    • Update Split Settlement Account
    • Get IntentLink/QrCode with Split details
  • E-Commerce Plugins
  • UPI QR
    • Create UPI QR
    • Get UPI QR
    • Search UPI QR
    • Create Customer
    • Search Customer
    • Cancel UPI QR
  • UPI Autopay
    • Mocking & Simulator (UAT)
    • Create UPI Mandate
    • Update UPI Mandate
    • Revoke UPI Mandate
    • Get UPI Mandate
    • UPI Mandate Callback
    • Mandate Pre-debit Notification
    • Execute Mandate Debit
    • Mandate Debit Callback
  • Payment Links
    • Payment Link APIs
    • Create Payment Link
    • Get Payment Link Details
    • Delete Payment Link
    • Webhook Request
  • E-Collect
    • Create Virtual Account
    • View Virtual Account by Id
    • Update Virtual Account
    • View Virtual Account by Account Number
    • Search Virtual Account
    • Search Transactions
    • View Virtual Account by Customer Reference Id
  1. Settlement

Get Settlement Payout By ID

GET
/api/v0/settlement-payout/{settlementPayoutId}
📌
Retrieve detailed information about a specific settlement payout using its unique ID. This API helps you track settlement status, amounts, timelines, and other key details for easier reconciliation and reporting.

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://olympus-pg-uat.enkash.in/api/v0/settlement-payout/' \
--header 'Authorization;' \
--header 'merchantAccessKey;'

Responses

🟢200OK
application/json
Bodyapplication/json

Examples
{
    "response_code": 0,
    "response_message": "Success",
    "payload": {
        "settlementPayoutId": "SP11114BPTOS",
        "totalSaleAmount": 13.84,
        "totalRefundAmount": 0.00,
        "totalCharges": 0.1176,
        "totalGst": 0.0212,
        "totalSettlementAmount": 13.70,
        "instantSettlementCharges": 0.0000,
        "instantSettlementGst": 0.0000,
        "refundChargebackAmount": 0.00,
        "carryForwardAmount": 0.00,
        "adjustmentAmount": 0.00,
        "payoutStatus": "SUCCESS",
        "utr": "AXISCN111118675",
        "payoutDate": "2026-04-22 13:50:03",
        "remarks": "Settlement processed",
        "transferId": "EK111112134500394CW",
        "createdOn": "2026-04-22 13:43:22",
        "modifiedOn": "2026-04-22 13:50:02",
        "settlementTransactions": [
            {
                "settlementTransactionId": "STGD11VLSUO23L",
                "saleAmount": 13.84,
                "txnAmount": 25.64,
                "taxAmount": 0.0212,
                "charges": 0.1176,
                "settlementAmount": 13.70,
                "transactionType": "SALE",
                "settlementStatus": "SETTLED",
                "approvedOn": "2026-04-22 13:40:32",
                "remarks": "Approve",
                "merchantMdrMode": "NORMAL",
                "createdOn": "2026-04-21 18:47:13",
                "modifiedOn": "2026-04-22 13:50:02"
            }
        ],
        "walletFundAdjustment": 0.00,
        "splitTransactionCharges": 0.00,
        "splitTransactionGst": 0.00
    }
}
Modified at 2026-06-22 16:07:14
Previous
Settlement
Next
Search Settlement Payouts
Built with